Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.autoupdatedatatable
Class AutoUpdateDataTableRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlTableRendererBase
                  org.apache.myfaces.renderkit.html.ext.HtmlTableRenderer
                      org.apache.myfaces.custom.autoupdatedatatable.AutoUpdateDataTableRenderer

All Implemented Interfaces:
  AjaxRenderer

public class AutoUpdateDataTableRenderer
extends org.apache.myfaces.renderkit.html.ext.HtmlTableRenderer
implements AjaxRenderer

Version:
  $Revision: $ $Date: $

  $Log: $
Author:
  Jörg Artaker, Thomas Huber

Field Summary

Fields inherited from class org.apache.myfaces.renderkit.html.HtmlTableRendererBase
`FOOTER_FACET_NAME, HEADER_FACET_NAME`

Constructor Summary
`AutoUpdateDataTableRenderer()`

Method Summary
`void` | `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeAjax(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.renderkit.html.ext.HtmlTableRenderer
`determineChildColSpan, encodeBegin, encodeChildren, encodeColumnChild, hasFacet, renderColumnBody, renderColumnChildHeaderOrFooterRow, renderColumnFooterCell, renderColumnHeaderCell, renderHtmlColumnAttributes, renderRowAttribute, renderRowStart, renderRowStyle`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlTableRendererBase
`afterRow, afterTable, beforeRow, beforeTable, encodeInnerHtml, getFooterClass, getHeaderClass, getRendersChildren, renderColumnFooterCell, renderColumnFooterRow, renderColumnHeaderCell, renderColumnHeaderRow, renderFacet, renderRowEnd, renderTableFooterRow, renderTableHeaderRow`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoUpdateDataTableRenderer

    public AutoUpdateDataTableRenderer()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Parameters:
    `context` - FacesContext
    `component` - UIComponent
  Throws:
    `java.io.IOException`

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent component)

  Parameters:
    `facesContext` - FacesContext
    `component` - UIComponent

### encodeAjax

    public void encodeAjax(javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                    throws java.io.IOException

  Specified by:
    `encodeAjax` in interface `AjaxRenderer`
  Parameters:
    `context` - FacesContext
    `component` - UIComponent
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD